# SourcePath: kmod/20170221dev
Summary   	: Utilities to load modules into the kernel
Name	  	: sony-target-dev-kmod
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-kmod
Version	  	: 21
Release		: 12000001 
License 	: GPL2
Distribution	: %{sony_distribution}
Vendor		: %{sony_vendor}
Packager	: %{sony_packager}
Group		: %{sony_group}
URL		: http://www.jonmasters.org/blog/2011/12/20/libkmod-replaces-module-init-tools
Source	  	: kmod-%{version}.tar.gz
Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}

#
#	SRPM
#

%description
kmod is a set of tools to handle common tasks with Linux kernel
modules like insert, remove, list, check properties, resolve
dependencies and aliases.

These tools are designed on top of libkmod, a library that is shipped
with kmod. The aim is to be compatible with tools, configurations and
indexes from module-init-tools project.
#
#	RPM
#

%package -n %{pkgname}
Summary: libkmod was created to allow programs to easily insert, remove and list modules,also checking its properties, dependencies and aliases
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libkmod was created to allow programs to easily insert, remove and
list modules, also checking its properties, dependencies and aliases

%prep

%setup -q -n kmod-%{version}

%build

%sony_target_dev_setup
%sony_target_dev_configure  
make 

%install
PATH=%{sony_cross_bin_dir}:$PATH
rm -rf %{buildroot}

%sony_target_dev_setup
%sony_target_dev_makeinstall bindir=%{sony_target_dev_sbin_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/

# 6.x

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)

%{sony_target_dir}%{sony_target_dev_include_dir}/libkmod.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libkmod.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libkmod.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libkmod.so.2
%{sony_target_dir}%{sony_target_dev_lib_dir}/libkmod.so.2.2.11
%{sony_target_dir}%{sony_target_dev_sbin_dir}/kmod
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/bash-completion/completions/kmod
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libkmod.pc

%changelog
* Mon Mar 07 2016 Sony Corporation
- Initial build.
